Subject: Re: bug#451: 23.0.60; x-gtk-map-stock destroys match data

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Jun 2008 22:27:39 -0400

> I don't think that's right.  The problem goes away if I remove the tool bar.
> If I do:

> (string-match "ox" "The quick lazy fox jumped")

> in the *scratch* buffer then

> (match-beginning 0)
> (match-end 0)

> give me false values immediately afterwards.

What do you mean "immediately afterwards"?  If you get back to the
toplevel in the mean time, the "immediately" actually runs a crapload of
code.  I.e. it's anything but "immediate".  Your expectation is
just wrong.

> Presumably update_frame_tool_bar gets called in between the evaluations.

This and megabytes of code, yes.

        Stefan